(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.g15titsfuck01 = function() {
	this.initialize(img.g15titsfuck01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck02 = function() {
	this.initialize(img.g15titsfuck02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck03 = function() {
	this.initialize(img.g15titsfuck03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck04 = function() {
	this.initialize(img.g15titsfuck04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck05 = function() {
	this.initialize(img.g15titsfuck05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck06 = function() {
	this.initialize(img.g15titsfuck06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck07 = function() {
	this.initialize(img.g15titsfuck07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck08 = function() {
	this.initialize(img.g15titsfuck08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck09 = function() {
	this.initialize(img.g15titsfuck09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck201 = function() {
	this.initialize(img.g15titsfuck201);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck202 = function() {
	this.initialize(img.g15titsfuck202);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck203 = function() {
	this.initialize(img.g15titsfuck203);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck204 = function() {
	this.initialize(img.g15titsfuck204);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck205 = function() {
	this.initialize(img.g15titsfuck205);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


(lib.g15titsfuck206 = function() {
	this.initialize(img.g15titsfuck206);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1299,919);


// stage content:
(lib.g15titsfuck = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0,3,5,18,31,32,47,51];
	this.streamSoundSymbolsList[3] = [{id:"echioto_んっ05",startFrame:3,endFrame:32,loop:1,offset:0}];
	this.streamSoundSymbolsList[5] = [{id:"gbyuru01",startFrame:5,endFrame:18,loop:1,offset:0}];
	this.streamSoundSymbolsList[18] = [{id:"gbyuru02",startFrame:18,endFrame:31,loop:1,offset:0}];
	this.streamSoundSymbolsList[31] = [{id:"gbyuru05",startFrame:31,endFrame:51,loop:1,offset:0}];
	this.streamSoundSymbolsList[32] = [{id:"oh3",startFrame:32,endFrame:47,loop:1,offset:0}];
	this.streamSoundSymbolsList[47] = [{id:"g_んっんっ",startFrame:47,endFrame:57,loop:1,offset:0}];
	this.streamSoundSymbolsList[51] = [{id:"gbyuru06",startFrame:51,endFrame:57,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
	}
	this.frame_3 = function() {
		var soundInstance = playSound("echioto_んっ05",0);
		this.InsertIntoSoundStreamData(soundInstance,3,32,1);
	}
	this.frame_5 = function() {
		var soundInstance = playSound("gbyuru01",0);
		this.InsertIntoSoundStreamData(soundInstance,5,18,1);
	}
	this.frame_18 = function() {
		var soundInstance = playSound("gbyuru02",0);
		this.InsertIntoSoundStreamData(soundInstance,18,31,1);
	}
	this.frame_31 = function() {
		var soundInstance = playSound("gbyuru05",0);
		this.InsertIntoSoundStreamData(soundInstance,31,51,1);
	}
	this.frame_32 = function() {
		var soundInstance = playSound("oh3",0);
		this.InsertIntoSoundStreamData(soundInstance,32,47,1);
	}
	this.frame_47 = function() {
		var soundInstance = playSound("g_んっんっ",0);
		this.InsertIntoSoundStreamData(soundInstance,47,57,1);
	}
	this.frame_51 = function() {
		var soundInstance = playSound("gbyuru06",0);
		this.InsertIntoSoundStreamData(soundInstance,51,57,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(3).call(this.frame_3).wait(2).call(this.frame_5).wait(13).call(this.frame_18).wait(13).call(this.frame_31).wait(1).call(this.frame_32).wait(15).call(this.frame_47).wait(4).call(this.frame_51).wait(6));

	// レイヤー_1
	this.instance = new lib.g15titsfuck01();
	this.instance.setTransform(20,20);

	this.instance_1 = new lib.g15titsfuck02();
	this.instance_1.setTransform(20,20);

	this.instance_2 = new lib.g15titsfuck03();
	this.instance_2.setTransform(20,20);

	this.instance_3 = new lib.g15titsfuck04();
	this.instance_3.setTransform(20,20);

	this.instance_4 = new lib.g15titsfuck05();
	this.instance_4.setTransform(20,20);

	this.instance_5 = new lib.g15titsfuck06();
	this.instance_5.setTransform(20,20);

	this.instance_6 = new lib.g15titsfuck07();
	this.instance_6.setTransform(20,20);

	this.instance_7 = new lib.g15titsfuck08();
	this.instance_7.setTransform(20,20);

	this.instance_8 = new lib.g15titsfuck09();
	this.instance_8.setTransform(20,20);
	this.instance_8._off = true;

	this.instance_9 = new lib.g15titsfuck201();
	this.instance_9.setTransform(20,20);

	this.instance_10 = new lib.g15titsfuck202();
	this.instance_10.setTransform(20,20);

	this.instance_11 = new lib.g15titsfuck203();
	this.instance_11.setTransform(20,20);

	this.instance_12 = new lib.g15titsfuck204();
	this.instance_12.setTransform(20,20);

	this.instance_13 = new lib.g15titsfuck205();
	this.instance_13.setTransform(20,20);

	this.instance_14 = new lib.g15titsfuck206();
	this.instance_14.setTransform(20,20);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance}]}).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},2).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},1).to({state:[{t:this.instance_6}]},1).to({state:[{t:this.instance_7}]},1).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},2).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},1).to({state:[{t:this.instance_6}]},1).to({state:[{t:this.instance_7}]},1).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_8}]},1).to({state:[{t:this.instance}]},1).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},2).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_9}]},1).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},1).to({state:[{t:this.instance_13}]},1).to({state:[{t:this.instance_14}]},1).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},1).to({state:[{t:this.instance_6}]},1).to({state:[{t:this.instance_7}]},1).to({state:[{t:this.instance_8}]},1).wait(1));
	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(11).to({_off:false},0).to({_off:true},2).wait(11).to({_off:false},0).wait(1).to({_off:true},1).wait(20).to({_off:false},0).to({_off:true},2).wait(8).to({_off:false},0).wait(1));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(689.5,499.5,629.5,439.5);
// library properties:
lib.properties = {
	id: '8D47C6A1E7918D43A83A6CCC839E9AF6',
	width: 1339,
	height: 959,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/g15titsfuck01.jpg", id:"g15titsfuck01"},
		{src:"images/g15titsfuck02.jpg", id:"g15titsfuck02"},
		{src:"images/g15titsfuck03.jpg", id:"g15titsfuck03"},
		{src:"images/g15titsfuck04.jpg", id:"g15titsfuck04"},
		{src:"images/g15titsfuck05.jpg", id:"g15titsfuck05"},
		{src:"images/g15titsfuck06.jpg", id:"g15titsfuck06"},
		{src:"images/g15titsfuck07.jpg", id:"g15titsfuck07"},
		{src:"images/g15titsfuck08.jpg", id:"g15titsfuck08"},
		{src:"images/g15titsfuck09.jpg", id:"g15titsfuck09"},
		{src:"images/g15titsfuck201.jpg", id:"g15titsfuck201"},
		{src:"images/g15titsfuck202.jpg", id:"g15titsfuck202"},
		{src:"images/g15titsfuck203.jpg", id:"g15titsfuck203"},
		{src:"images/g15titsfuck204.jpg", id:"g15titsfuck204"},
		{src:"images/g15titsfuck205.jpg", id:"g15titsfuck205"},
		{src:"images/g15titsfuck206.jpg", id:"g15titsfuck206"},
		{src:"sounds/echioto_んっ05.mp3", id:"echioto_んっ05"},
		{src:"sounds/gbyuru01.mp3", id:"gbyuru01"},
		{src:"sounds/gbyuru02.mp3", id:"gbyuru02"},
		{src:"sounds/gbyuru05.mp3", id:"gbyuru05"},
		{src:"sounds/gbyuru06.mp3", id:"gbyuru06"},
		{src:"sounds/g_んっんっ.mp3", id:"g_んっんっ"},
		{src:"sounds/oh3.mp3", id:"oh3"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['8D47C6A1E7918D43A83A6CCC839E9AF6'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;